// Copyright MageLang Institute; Version $Id: //depot/main/src/edu/modules/Beans/magercises/StickFigureProperties/Solution/stickfigure/StickFigureEvent.java#5 $

package stickfigure;

import java.util.*;

public class StickFigureEvent extends EventObject {
  private StickFigure source;
  private long date;

  public StickFigureEvent(Object source) {
    super(source);
    this.source = (StickFigure) source;
    date = System.currentTimeMillis();
  }

  public long getDate() {
    return date;
  }

  //
  // convenience methods:
  //

  public boolean getNeck() {
    return source.getNeck();
  }

  public boolean getTrunk() {
    return source.getTrunk();
  }

  public boolean getLeftArm() {
    return source.getLeftArm();
  }

  public boolean getRightArm() {
    return source.getRightArm();
  }

  public boolean getLeftLeg() {
    return source.getLeftLeg();
  }

  public boolean getRightLeg() {
    return source.getRightLeg();
  }
}