
package itemEventBridge;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent 

// this class transforms ItemEvents into ActionEvents
// it maintains two different types of event receivers
public class ItemEventBridge implements Serializable, ItemListener {
	
	
	protected ActionListener listener;

	public void addActionListener( ActionListener ae ) { listener = ae;}
	public void removeActionListener( ActionListener ae ) { listener=null;}

	public abstract void itemStateChanged ( java.awt.event.ItemEvent )


